/****************************************************************************

   mod_dav_pgsql (DASL) for apache 2.X
   CopyRight(C) 2005 SolutionBox Inc. All Rights reserved.
   CopyRight(C) 2006 Netomi Inc. All Rights reserved.
   Author : elenoa lazyfake (elenoa@solutionbox.co.kr)

   $Id: share.h,v 1.6 2007/03/19 08:43:12 elenoa Exp $

   Redistribution and use in source and binary forms, with or with out
   modification, are not permitted in outside of SolutionBox Inc.

 ****************************************************************************/

#ifndef __SHARE_ANONYMOUS_H__
#define __SHARE_ANONYMOUS_H__

struct anonymous {
	char uri[URI_SIZE_MAX];
	char domain[DOMAIN_SIZE];
	int nFlag;
};

/* anonymous realm */
int dav_initialize_shared_anonymous(dav_repos_server_conf *dsc, server_rec *s, apr_pool_t *p);
void dav_cleanup_shared_anonymous();

int dav_shared_ar_check_request(request_rec *r);
int dav_shared_ar_get_value(request_rec *r);


#endif // __SHARE_ANONYMOUS_H__
